SDL_TextEditingEvent Struct Reference

Keyboard text editing event structure (event.edit.*) More...

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
Uint32 | windowID
char | text [SDL_TEXTEDITINGEVENT_TEXT_SIZE]
Sint32 | start
Sint32 | length

## Detailed Description

Keyboard text editing event structure (event.edit.*)

Definition at line 203 of file SDL_events.h.

## Field Documentation

Sint32 SDL_TextEditingEvent::length

The length of selected editing text

Definition at line 210 of file SDL_events.h.

Referenced by main().

Sint32 SDL_TextEditingEvent::start

The start cursor of selected editing text

Definition at line 209 of file SDL_events.h.

Referenced by main().

char SDL_TextEditingEvent::text[SDL_TEXTEDITINGEVENT_TEXT_SIZE]

The editing text

Definition at line 208 of file SDL_events.h.

Referenced by main(), and SDL_SendEditingText().

Uint32 SDL_TextEditingEvent::timestamp

Definition at line 206 of file SDL_events.h.

Uint32 SDL_TextEditingEvent::type

SDL_TEXTEDITING

Definition at line 205 of file SDL_events.h.

Uint32 SDL_TextEditingEvent::windowID

The window with keyboard focus, if any

Definition at line 207 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- include/SDL_events.h